jQuery(document).ready(function () {

	//BOTONES DE TABLA CLIENTES
	$("#btn_clientes_add").click(function () {
		$("#modal_clientes_add").modal("show");
		//$("#modal_search").modal("hide");
	});

	$("#btn_clientes_edit").click(function () {
		$("#modal_clientes_edit").modal("show");
	});

	$("#btn_tbl_clientes_edit").click(function () {
		var resultJSON = $("#tbl_clientes").bootstrapTable("getSelections");
		var seleccion = $('input[name="rtbl_clientes"]:checked').length;
		if (seleccion == 0) {
			epsToast(
				"danger",
				"white",
				'<i class="bi bi-hdd"></i>',
				"Seleccion",
				"Error",
				"Seleccione un item de la tabla.",
				"bottom"
				);
			return false;
		} else {
			var ref = resultJSON[0]["id_cliente"];
			fill_input_cliente(resultJSON[0]);
			$("#modal_clientes_edit").modal("show");
		}
	});

	$("#btn_tbl_clientes_show").click(function () {
		var resultJSON = $("#tbl_clientes").bootstrapTable("getSelections");
		var seleccion = $('input[name="rtbl_clientes"]:checked').length;
		if (seleccion == 0) {
			epsToast(
				"danger",
				"white",
				'<i class="bi bi-hdd"></i>',
				"Seleccion",
				"Error",
				"Seleccione un item de la tabla.",
				"bottom"
				);
			return false;
		} else {
			var ref = resultJSON[0]["id"];
			window.location.href = base_url + "clientes/clientes_show/" + ref;
		}
	});


	//FORMULARIOS CLIENTES
	$("#form_add_clientes").submit(function (e) {
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(document.getElementById("form_add_clientes"));
	    //formData.append("dato", "valor");
	    //formData.append(f.attr("name"), $(this)[0].files[0]);

	    /*epsToast(color, text, icon, head, headsmall, mensaje, boton)
	    epsToast(
	    "light",
	    "dark",
	    '<i class="bi bi-check"></i>',
	    "head",
	    "headsmall",
	    "Mensaje principal",
	    "bottom"
	    );
	    return false;*/

		$.ajax({
			url: base_url + "clientes/add_clientes",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
        		//var r = JSON.parse(respuesta);
        		//console.log(r);
				//epsToast(color, text, icon, head, headsmall, mensaje, boton)
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"" + r.data.contacto,
					"" + r.mensaje
					);

				$("#tbl_clientes").bootstrapTable("refresh", {
					url: base_url + "clientes/listaclientes",
				});

				$("#modal_clientes_add").modal("hide");

				window.location.href = base_url + "clientes/clientes_show/" + r.data.id;
				

		        //fill_ver_cl(r);
		        //fill_input_cl(r);
		        //$("#modal_cl_tbl").modal("hide");
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					"danger",
					"light",
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
        //setTimeout(function(){ location.reload(); }, 10000);
			},
			complete: function () {
				$("#loader").addClass("display-none");
        		//setTimeout(function(){ $('#loader').addClass('display-none'); }, 4000);
			},
		});
	});

	$("#form_edit_clientes").submit(function (e) {
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(document.getElementById("form_edit_clientes"));

		$.ajax({
			url: base_url + "clientes/edit_clientes",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"",
					"" + r.mensaje,
					""
				);

				$("#tbl_clientes").bootstrapTable("refresh", {
					url: base_url + "clientes/listaclientes",
				});
				$("#modal_clientes_edit").modal("hide");
				location.reload();
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					"danger",
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
    //setTimeout(function(){ location.reload(); }, 10000);
			},
			complete: function () {
				$("#loader").addClass("display-none");
    //setTimeout(function(){ $('#loader').addClass('display-none'); }, 4000);
			},
		});
	});



	//FORMULARIOS EQUIPOS
	$("#form_add_equipos").submit(function (e) {
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(document.getElementById("form_add_equipos"));

		$.ajax({
			url: base_url + "equipos/add_equipos",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
        		//var r = JSON.parse(respuesta);
        		//console.log(r);
				//epsToast(color, text, icon, head, headsmall, mensaje, boton)
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"" ,
					"" + r.mensaje
					);

				$("#modal_equipos_add").modal("hide");

				window.location.href = base_url + "clientes/clientes_show/" + r.data.id_cliente;
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					"danger",
					"light",
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
			},
			complete: function () {
				$("#loader").addClass("display-none");
        		//setTimeout(function(){ $('#loader').addClass('display-none'); }, 4000);
			},
		});
	});

	$("#form_edit_equipos").submit(function (e) {
		e.preventDefault();
		var f = $(this);
		var formData = new FormData(document.getElementById("form_edit_equipos"));

		$.ajax({
			url: base_url + "equipos/edit_equipos",
			type: "POST",
			dataType: "JSON",
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			beforeSend: function () {
				$("#loader").removeClass("display-none");
			},
			success: function (r) {
        		//var r = JSON.parse(respuesta);
        		//console.log(r);
				//epsToast(color, text, icon, head, headsmall, mensaje, boton)
				epsToast(
					"light",
					"dark",
					'<i class="bi bi-check"></i>',
					"" + r.success,
					"" + r.data.id,
					"" ,
					"" + r.mensaje
					);

				$("#modal_equipos_add").modal("hide");

				window.location.reload();
			},
			error: function (jqXHR, textStatus, error) {
				epsToast(
					"danger",
					"light",
					'<i class="bi bi-x-octagon"></i>',
					jqXHR,
					jqXHR.status,
					jqXHR.responseText,
					""
					);
				clearTimeout();
			},
			complete: function () {
				$("#loader").addClass("display-none");
        		//setTimeout(function(){ $('#loader').addClass('display-none'); }, 4000);
			},
		});
	});


});

function equipoEdit(equipo) {
	let id_equipo = equipo.getAttribute( "data-id");
		
	let modelo = equipo.getAttribute( "data-modelo");
	let linea = equipo.getAttribute( "data-linea");
	let serial = equipo.getAttribute( "data-serial");

	$('input[name="id_equipo"]').val(id_equipo);
	$('input[name="modelo_edit"]').val(modelo);
	$('input[name="linea_edit"]').val(linea);
	$('input[name="serial_edit"]').val(serial);

	$("#modal_equipos_edit").modal("show");
}


//FILL INPUT EMPRESAS FORM 
function fill_input_cliente(data) {
	$('input[name="id_cliente"]').val(data.id);
	$('input[name="rif"]').val(data.rif);
	$('input[name="razonsocial"]').val(data.razonsocial);
	$('input[name="telefono1"]').val(data.telefono1);
	$('input[name="contacto"]').val(data.contacto);
	$('input[name="telefono2"]').val(data.telefono2);
	$('input[name="email"]').val(data.email);
	$('input[name="password"]').val(data.password);
	$('#direccion').val(data.direccion);

	$('input[name="role"]').val(data.role);
	$('input[name="cargo"]').val(data.cargo);
	var url = base_url + 'assets/epscolor/img/empresas/' + data.avatar;
	$('#img_file_input_avatar').prop("src", url);

	if (data.activo === "1") { 
		document.getElementById("check_activo").checked = true;} 
		else { document.getElementById("check_activo").checked = false;}
}

